Bug 176760 - make xconfig fails with message "/usr/bin/ld: cannot find -lqt"
make xconfig fails with message "/usr/bin/ld: cannot find -lqt"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-01 14:11 EST by Steve Falco
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 21:25:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Falco 2006-01-01 14:11:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I downloaded kernel 2.6.14-1653 source, did rpmbuild -bp, then did make xconfig.
I got the error:

/usr/bin/ld: cannot find -lqt
collect2: ld returned 1 exit status
make[1]: *** [scripts/kconfig/qconf] Error 1
make: *** [xconfig] Error 2

I tracked this down to the $(obj)/.tmp_qtcheck target.  It uses the g++  -print-multi-os-directory flag, which gives ../lib64.  It then uses that to set the LIBPATH to /usr/lib64/qt-3.3/lib/../lib64, which does not exist.

Simply deleting the following two lines allows make xconfig to work:

	$(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
	  LIBPATH=$$DIR/lib/$$($(HOSTCXX) -print-multi-os-directory); \

After this change, LIBPATH is set to /usr/lib64/qt-3.3/lib.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download kernel SRPM
2.On an Opteron machine, install the SRPM
3.rpmbuild -bp
4.make xconfig
  

Actual Results:  /usr/bin/ld: cannot find -lqt
collect2: ld returned 1 exit status
make[1]: *** [scripts/kconfig/qconf] Error 1
make: *** [xconfig] Error 2

Expected Results:  It should open the config screen.

Additional info:
Comment 1 Dave Jones 2006-01-03 00:26:25 EST
can you test if this is fixed in the 2.6.15 based kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4 ?
Comment 2 Steve Falco 2006-01-03 20:12:40 EST
The new kernel SRPM fixes this bug - now I can make xconfig with no problems.

Thanks much for the speedy fix!
Comment 3 Dave Jones 2006-01-04 00:27:07 EST
ok, there's another 2.6.14 kernel going out as an update in a few days, which
won't have this fixed, but it'll be in the first 2.6.15 kernel to hit FC4.
Comment 4 Dave Jones 2006-02-03 01:56:44 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Steve Falco 2006-02-04 10:58:33 EST
I have tested kernel-2.6.15-1.1830_FC4, and this bug is fixed.  Please close.

Note You need to log in before you can comment on or make changes to this bug.